﻿------------------------------
--      Are you local?      --
------------------------------

local boss = BB["Loken"]
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Loken",

	engage_trigger = "What hope is there for you? None!",

	nova = "Lightning Nova",
	nova_desc = "Warn for the casting of Lightning Nova.",
	nova_message = "Casting Lightning Nova",
} end)

L:RegisterTranslations("deDE", function() return {
} end)

L:RegisterTranslations("frFR", function() return {
	engage_trigger = "Quel espoir vous reste-t-il ? Aucun !",

	nova = "Nova de foudre",
	nova_desc = "Prévient quand la Nova de foudre est incantée.",
	nova_message = "Nova de foudre en incantation",
} end)

L:RegisterTranslations("koKR", function() return {
} end)

L:RegisterTranslations("zhCN", function() return {
} end)

L:RegisterTranslations("zhTW", function() return {
} end)

L:RegisterTranslations("esES", function() return {
} end)

----------------------------------
--      Module Declaration      --
----------------------------------

local mod = BigWigs:NewModule(boss)
mod.partycontent = true
mod.otherMenu = "The Storm Peaks"
mod.zonename = BZ["Halls of Lightning"]
mod.enabletrigger = boss
mod.guid = 28586
mod.toggleoptions = {"nova","bosskill"}
mod.revision = tonumber(("$Revision: 81795 $"):sub(12, -3))

------------------------------
--      Initialization      --
------------------------------

function mod:OnEnable()
	self:AddCombatListener("SPELL_CAST_START", "Nova", 52960, 59835)
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

------------------------------
--      Event Handlers      --
------------------------------

function mod:Nova(_, spellID)
	if self.db.profile.nova then
		self:IfMessage(L["nova_message"], "Urgent", spellID)
		self:Bar(L["nova_message"], 5, spellID)
	end
end
